<template>
  <div>
    <div class="message message--primary empty-wishlist">
      <img
        :src="require('~/assets/images/empty-wishlist.png')"
        alt=""
        width="80"
        height="117"
      />
      <h5>{{ $t('wishlist.emptyTitle') }}</h5>
      <p v-html="$t('wishlist.emptyDesc')"></p>

      <CatalogButton :is-subscription="isSubscription" />
    </div>
  </div>
</template>

<script>
import CatalogButton from '~/components/ui/CatalogButton'

export default {
  name: 'Wishlistempty',
  components: {
    CatalogButton
  },
  props: {
    isSubscription: {
      type: Boolean,
      require: false,
      default: false
    }
  },
  computed: {
    comicsSlug() {
      const lang = this.$i18n.locale
      const langComicsSlugs = {
        fr: 'bd',
        en: 'european-comics',
        de: 'europaische-comics',
        nl: 'strips'
      }

      let slug = langComicsSlugs['fr']
      if (lang in langComicsSlugs) {
        slug = langComicsSlugs[lang]
      }

      return slug
    }
  }
}
</script>

<style lang="scss" scoped>
.message {
  max-width: 520px;
  margin: 0 auto;
  font-size: 15px;
  font-weight: 500;
  color: #7a7a7a;
  text-align: center;

  h5 {
    font-size: 26px;
    line-height: 1.2;
    color: #3e3e3e;
    margin: 0 0 22px;
    font-weight: 400;
  }

  p {
    margin: 0 0 53px;
    line-height: 1.7;
  }

  img {
    margin-bottom: 33px;
  }

  &--primary {
    max-width: 385px;
    padding: 40px 0;

    h5 {
      font-size: 20px;
      margin-bottom: 15px;
    }

    p {
      margin-bottom: 33px;
    }
  }
}
</style>
